
Foreman - Bug #15947

404 when clicking Foreman logo link to go to the home dashboard from content_hosts#index

08/02/2016 03:54 PM - Andrew Kofink

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Go to the content hosts page

2. Click on the Foreman logo

3. You are redirected to katello.example.com/404

History

#1 - 08/03/2016 10:25 AM - Eric Helms

- Project changed from Katello to Foreman

#2 - 08/04/2016 02:55 AM - Dominic Cleal

- Category set to Web Interface

What page is it linking to precisely, or do you mean the literal URL "katello.example.com/404"? Suggest you provide the exact link and logs.

#3 - 08/04/2016 07:15 AM - Andrew Kofink

It literally links to katello.example.com/404. There is no server log output, and it happens with both chrome and firefox.

#4 - 11/08/2016 06:27 AM - James Payne

Am getting this as well, basically very intermittently you will be working within Foreman and clicking on the Hosts menu will return a URL

https://foreman-host.domain.com/404

Along with the page:

The page you were looking for doesn't exist.

You may have mistyped the address or the page may have moved.

If you are the application owner check the logs for more information.

 I am currently running 3.2 RC3 of Katello.

This can be replicated in my instance by continuously clicking the hosts menu item, eventually you will get the 404 error.

#5 - 01/14/2017 07:06 PM - Brent Wells

- File Screenshot from 2017-01-14 19-05-45.png added

I am currently seeing this also with the latest release of Katello.  When I click on Content Hosts and then click Hosts, I get the 404 page.  Attached is

the screenshot of the error.  Thanks!

#6 - 01/16/2017 07:58 AM - Andrew Kofink

Brent Wells wrote:

I am currently seeing this also with the latest release of Katello.  When I click on Content Hosts and then click Hosts, I get the 404 page. 

Attached is the screenshot of the error.  Thanks!
https://foreman-host.domain.com/404


 Verified on katello (SHA 9974142) and foreman (SHA 12a3253)

#7 - 03/07/2017 05:00 AM - Bernhard Suttner

+1

Found same issue. Happens also

- you are on the Content/Products page and you click on Hosts/All Hosts

- you are on the Content/Products page and you click on Hosts/New Host

- you are on the Content/Content Views page and you click on Hosts/All Hosts

- you are on the Content/Content Views page and you click on Hosts/New Host

- you are on the Content/Packages page and you click on Hosts/All Hosts

- you are on the Content/Packages Views page and you click on Hosts/New Host

- you are on the Content/Errata page and you click on Hosts/All Hosts

- you are on the Content/Errata Views page and you click on Hosts/New Host

Seems like, the issue always occur with ALl Hosts / New Hosts.

Files

Screenshot from 2017-01-14 19-05-45.png 16.7 KB 01/14/2017 Brent Wells
